complexType "Calculation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 10 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (notionalSchedule | fxLinkedNotionalSchedule | (currentNotional, notionalSchedule?))?, ((fixedRateSchedule, futureValueNotional?) | rateCalculation)?, dayCountFraction, discounting?, compoundingMethod?
</...>

Content Model Elements (10):

  compoundingMethod (in calculation in calculationPeriodAmount),
  currentNotional,
  dayCountFraction (in calculation in calculationPeriodAmount),
  discounting,
  fixedRateSchedule,
  futureValueNotional,
  fxLinkedNotionalSchedule,
  notionalSchedule (in calculation in calculationPeriodAmount),
  notionalSchedule (in calculation in calculationPeriodAmount),
  rateCalculation

All Direct / Indirect Based Elements (1):

  calculation (in calculationPeriodAmount)

Known Usage Locations

- As direct type of elements (1):
  calculation (in calculationPeriodAmount)

Annotation
A type definining the parameters used in the calculation of fixed or floating calculation period amounts.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="Calculation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="notionalSchedule" type="Notional"/> <xsd:element name="fxLinkedNotionalSchedule" type="FxLinkedNotionalSchedule"/> <xsd:sequence> <xsd:element name="currentNotional" type="Money"/> <xsd:element minOccurs="0" name="notionalSchedule" type="Notional"/> </xsd:sequence> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="fixedRateSchedule" type="Schedule"/> <xsd:element minOccurs="0" name="futureValueNotional" type="FutureValueAmount"/> </xsd:sequence> <xsd:element ref="rateCalculation"/> </xsd:choice> <xsd:element name="dayCountFraction" type="DayCountFraction"/> <xsd:element minOccurs="0" name="discounting" type="Discounting"/> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/10)
compoundingMethod

  Type: | CompoundingMethodEnum, simple content

  If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Flat" | - | Flat compounding. Compounding excludes the spread. Note that the first compounding period has it's interest calculated including any spread then subsequent periods compound this at a rate excluding the spread. See: http://www.FpML.org
  "None" | - | No compounding is to be applied. See: http://www.FpML.org
  "Straight" | - | Straight compounding. Compounding includes the spread. See: http://www.FpML.org
  "SpreadExclusive" | - | Spread Exclusive compounding. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/>

currentNotional

  Type: | Money, complex content

  The notional in effect on the as-of date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currentNotional" type="Money"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dayCountFraction" type="DayCountFraction"/>

discounting

  Type: | Discounting, complex content

  The parameters specifying any discounting conventions that may apply. This element must only be included if discounting applies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discounting" type="Discounting"/>

fixedRateSchedule

  Type: | Schedule, complex content

  The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedRateSchedule" type="Schedule"/>

futureValueNotional

  Type: | FutureValueAmount, complex content

  The future value notional is normally only required for BRL CDI Swaps. The value is calculated as follows: Future Value Notional = Notional Amount * (1 + Fixed Rate) ^ (Fixed Rate Day Count Fraction). The currency should always match that expressed in the notional schedule. The value date should match the adjusted termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="futureValueNotional" type="FutureValueAmount"/>

fxLinkedNotionalSchedule

  Type: | FxLinkedNotionalSchedule, complex content

  A notional amount schedule where each notional that applied to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fxLinkedNotionalSchedule" type="FxLinkedNotionalSchedule"/>

notionalSchedule

  Type: | Notional, complex content

  The notional amount or notional amount schedule. Some reporting implementations may place the current notional in the "initialValue" element of the schedule for historical convenience. In the future the "currentNotional" element should be used for this purpose.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notionalSchedule" type="Notional"/>

notionalSchedule

  Type: | Notional, complex content

  The notional amount or notional amount schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalSchedule" type="Notional"/>

rateCalculation

  Type: | Rate, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 2 elements

  This element is the head of a substitution group. It is substituted by the floatingRateCalculation element for standard Floating Rate legs, or the inflationRateCalculation element for inflation swaps.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element ref="rateCalculation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.